Debian Bug report logs - #558272
Date::Calc::Decode_Month(): argument is not a string

version graph

Package: libdate-calc-perl; Maintainer for libdate-calc-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libdate-calc-perl is src:libdate-calc-perl.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Fri, 27 Nov 2009 14:36:02 UTC

Severity: grave

Tags: confirmed, upstream

Found in version libdate-calc-perl/6.0-1

Fixed in version libdate-calc-perl/6.0-2

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Ticket/Display.html?id=60233

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Fri, 27 Nov 2009 14:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 27 Nov 2009 14:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Date::Calc::Decode_Month(): argument is not a string
Date: Fri, 27 Nov 2009 15:32:32 +0100
Package: libdate-calc-perl
Version: 6.0-1
Severity: important

An important regression:

$ echo Oct | perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
Date::Calc::Decode_Month(): argument is not a string at -e line 1, <> line 1.

I've reverted to libdate-calc-perl 5.8-1 and this problem disappeared.

-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.5-20080922 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdate-calc-perl depends on:
ii  libbit-vector-perl            7.1-1      Perl module for bit vectors and mo
ii  libc6                         2.10.1-7   GNU C Library: Shared libraries
ii  libcarp-clan-perl             6.02-1     Perl enhancement to Carp error log
ii  perl                          5.10.1-8   Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.1]    5.10.1-8   minimal Perl system

libdate-calc-perl recommends no packages.

libdate-calc-perl suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Fri, 27 Nov 2009 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 27 Nov 2009 15:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 558272@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Vincent Lefevre <vincent@vinc17.net>, 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Fri, 27 Nov 2009 17:11:01 +0200
[Message part 1 (text/plain, inline)]
tags 558272 confirmed
thanks

-=| Vincent Lefevre, Fri, Nov 27, 2009 at 03:32:32PM +0100 |=-
> Package: libdate-calc-perl
> Version: 6.0-1
> Severity: important
> 
> An important regression:
> 
> $ echo Oct | perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
> Date::Calc::Decode_Month(): argument is not a string at -e line 1, <> line 1.
> 
> I've reverted to libdate-calc-perl 5.8-1 and this problem disappeared.

Seems to be fixed in 6.3 upstream release, which is half-prepared in 
group's SVN repository.

TODO from there:
  - add libdate-calc-xs-perl to B-D-I -- or not, because
  - t/f000.t checks the version of libdate-calc-xs-perl and errors out 
    if it's different - might lead to problems if an older version is 
    installed (libdate-calc-xs-perl seems to depend on 
    libdate-calc-perl >= its own version)
  - Q: what does "United "Date::Calc" and "Date::Pcalc" into a single 
    distribution" (and the changelog entry below) tell us? we have 
    also libdate-pcalc-perl


-- 
dam
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. (Fri, 27 Nov 2009 15:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Tue, 10 Aug 2010 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 10 Aug 2010 10:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 558272@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Damyan Ivanov <dam@modsoftsys.com>, 558272@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Tue, 10 Aug 2010 12:38:48 +0200
severity 558272 grave
thanks

I'm raising the severity because of the urgency and to make sure
that this bug (an important regression vs lenny, that has been
fixed in a new upstream bugfix release for 9 months) is noticed
soon enough for squeeze. See other comments below.

On 2009-11-27 17:11:01 +0200, Damyan Ivanov wrote:
> Seems to be fixed in 6.3 upstream release, which is half-prepared in 
> group's SVN repository.
> 
> TODO from there:
>   - add libdate-calc-xs-perl to B-D-I -- or not, because
>   - t/f000.t checks the version of libdate-calc-xs-perl and errors out 
>     if it's different - might lead to problems if an older version is 
>     installed (libdate-calc-xs-perl seems to depend on 
>     libdate-calc-perl >= its own version)
>   - Q: what does "United "Date::Calc" and "Date::Pcalc" into a single 
>     distribution" (and the changelog entry below) tell us? we have 
>     also libdate-pcalc-perl

Any news? Date-Calc-6.3 was released on October 31, 2009. FYI, the
latest upstream releases were:

Date-Calc-6.0 on 2009-10-08 (currently in Debian/testing)
Date-Calc-6.1 on 2009-10-16
Date-Calc-6.2 on 2009-10-16
Date-Calc-6.3 on 2009-10-31

The fact that the releases up to 6.3 are close enough (less than a
month between them) seems to imply that they are bugfix releases,
and the fact that there have not been releases since 6.3 is probably
because version 6.3 is quite stable.

In this context, even though Squeeze is frozen, I think that
version 6.3 should go to Squeeze.

Note: this also requires an upgrade of libcarp-clan-perl to
Carp::Clan 6.04 for about the same reasons; versions 6.02 and
6.03 have even been removed from CPAN. Not sure whether the
licensing problem 6.04 solves is the cause:

  https://rt.cpan.org/Public/Bug/Display.html?id=50796

(FYI, I'm still stuck with the old libdate-calc-perl 5.4-5+b1 under
Debian/unstable, because of this bug, even though I've tested that
Date::Calc 6.3 from CPAN works.)

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Severity set to 'grave' from 'important' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Tue, 10 Aug 2010 10:42:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed-upstream. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Tue, 10 Aug 2010 11:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Wed, 11 Aug 2010 06:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 558272@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Wed, 11 Aug 2010 15:55:21 +0900
tags      558272 - fixed-upstream
forwarded 558272 https://rt.cpan.org/Ticket/Display.html?id=60233
thanks

Hi,

> $ echo Oct | perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
> Date::Calc::Decode_Month(): argument is not a string at -e line 1, <> line 1.

This is not fixed in the latest upstream release.  I installed
Date::Calc 6.3 and Date::Calc::XS 6.2 from CPAN and the problem is still
present.

It is, however, limited to the XS implementation and can easily be
worked around: just use "$1" (with quotes) instead of $1.

Regards,
Ansgar




Removed tag(s) fixed-upstream. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 11 Aug 2010 07:09:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Ticket/Display.html?id=60233'. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Wed, 11 Aug 2010 07:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Wed, 11 Aug 2010 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 11 Aug 2010 08:00:03 GMT) Full text and rfc822 format available.

Message #33 received at 558272@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Ansgar Burchardt <ansgar@43-1.org>
Cc: 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Wed, 11 Aug 2010 09:39:43 +0200
On 2010-08-11 15:55:21 +0900, Ansgar Burchardt wrote:
> This is not fixed in the latest upstream release.  I installed
> Date::Calc 6.3 and Date::Calc::XS 6.2 from CPAN and the problem is still
> present.

Well, Date::Calc 6.3 solves the problem on my machine:

$ echo Oct | perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
10
$ echo Oct | env -u PERL5LIB perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
Date::Calc::Decode_Month(): argument is not a string at -e line 1, <> line 1.

See the difference when I use the CPAN version (6.3) installed in
my $HOME and when I use Debian's version.

FYI, here are the files that were installed:

Installing /home/vlefevre/lib/site_perl/Date/Calc.pod
Installing /home/vlefevre/lib/site_perl/Date/Calc.pm
Installing /home/vlefevre/lib/site_perl/Date/Calendar.pm
Installing /home/vlefevre/lib/site_perl/Date/Calendar.pod
Installing /home/vlefevre/lib/site_perl/Date/Calendar/Year.pm
Installing /home/vlefevre/lib/site_perl/Date/Calendar/Profiles.pm
Installing /home/vlefevre/lib/site_perl/Date/Calendar/Year.pod
Installing /home/vlefevre/lib/site_perl/Date/Calendar/Profiles.pod
Installing /home/vlefevre/lib/site_perl/Date/Calc/Object.pod
Installing /home/vlefevre/lib/site_perl/Date/Calc/Object.pm
Installing /home/vlefevre/lib/site_perl/Date/Calc/PP.pod
Installing /home/vlefevre/lib/site_perl/Date/Calc/PP.pm
Installing /home/vlefevre/share/man/man3/Date::Calendar::Profiles.3pm
Installing /home/vlefevre/share/man/man3/Date::Calc.3pm
Installing /home/vlefevre/share/man/man3/Date::Calc::PP.3pm
Installing /home/vlefevre/share/man/man3/Date::Calc::Object.3pm
Installing /home/vlefevre/share/man/man3/Date::Calendar::Year.3pm
Installing /home/vlefevre/share/man/man3/Date::Calendar.3pm

> It is, however, limited to the XS implementation and can easily be
> worked around: just use "$1" (with quotes) instead of $1.

I confirm, thanks.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Wed, 11 Aug 2010 08:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 11 Aug 2010 08:06:03 GMT) Full text and rfc822 format available.

Message #38 received at 558272@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Ansgar Burchardt <ansgar@43-1.org>
Cc: 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Wed, 11 Aug 2010 10:01:55 +0200
On 2010-08-11 09:39:43 +0200, Vincent Lefevre wrote:
> Well, Date::Calc 6.3 solves the problem on my machine:
> 
> $ echo Oct | perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
> 10
> $ echo Oct | env -u PERL5LIB perl -p -e 'use Date::Calc qw(Decode_Month); s!(\w+)!Decode_Month($1)!e'
> Date::Calc::Decode_Month(): argument is not a string at -e line 1, <> line 1.

Hmm... I see. The XS version is also provided by the Debian package,
contrary to a CPAN installation when one doesn't explicitly ask for
this XS version.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Thu, 26 Aug 2010 08:21:07 GMT) Full text and rfc822 format available.

Message #41 received at 558272@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 558272@bugs.debian.org, 558272-submitter@bugs.debian.org
Subject: Bug in fixed in revision 62050
Date: Thu, 26 Aug 2010 08:19:25 +0000
tag 558272 + pending
thanks

Some bugs are closed in revision 62050
by Ansgar Burchardt (ansgar-guest)

Commit message:

* Team Upload.
* Use SvPV to stringify the SV in case it is not already a string.
  (Closes: #558272)
* Use source format 3.0 (quilt).
* debian/copyright: Formatting changes for current DEP-5 proposal;
  refer to /usr/share/common-licenses/GPL-1.
* Bump Standards-Version to 3.9.1.




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 26 Aug 2010 08:21:10 GMT) Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#558272. (Thu, 26 Aug 2010 08:21:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Thu, 26 Aug 2010 08:51:02 GMT) Full text and rfc822 format available.

Message #49 received at 558272@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Thu, 26 Aug 2010 17:47:53 +0900
Hi,

I prepared a patch for this issue.  It passes the test suite and also
the code snippets that failed before.  I am not very familiar with XS,
so any comments are welcome.

The patch can be found at [1].

Regards,
Ansgar

[1] <http://svn.debian.org/viewsvn/pkg-perl/branches/unstable/libdate-calc-perl/debian/patches/SvPV.patch?revision=62052&view=markup>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Thu, 26 Aug 2010 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 26 Aug 2010 12:45:03 GMT) Full text and rfc822 format available.

Message #54 received at 558272@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Thu, 26 Aug 2010 15:42:36 +0300
[Message part 1 (text/plain, inline)]
On Thu, Aug 26, 2010 at 05:47:53PM +0900, Ansgar Burchardt wrote:
 
> I prepared a patch for this issue.  It passes the test suite and also
> the code snippets that failed before.  I am not very familiar with XS,
> so any comments are welcome.

> [1] <http://svn.debian.org/viewsvn/pkg-perl/branches/unstable/libdate-calc-perl/debian/patches/SvPV.patch?revision=62052&view=markup>

I think even the SvROK() is overly defensive. Consider the attached
amended test file, which has an additional regression test from the
lenny version.

Of course, it would be nice to get the upstream opinion.
--
Niko Tyni   ntyni@debian.org
[debian-558272.t (application/x-troff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#558272; Package libdate-calc-perl. (Thu, 26 Aug 2010 15:57:02 GMT) Full text and rfc822 format available.

Message #57 received at 558272@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 558272@bugs.debian.org
Subject: Re: Bug#558272: Date::Calc::Decode_Month(): argument is not a string
Date: Fri, 27 Aug 2010 00:53:54 +0900
Niko Tyni <ntyni@debian.org> writes:

> On Thu, Aug 26, 2010 at 05:47:53PM +0900, Ansgar Burchardt wrote:
>  
>> I prepared a patch for this issue.  It passes the test suite and also
>> the code snippets that failed before.  I am not very familiar with XS,
>> so any comments are welcome.
>
>> [1] <http://svn.debian.org/viewsvn/pkg-perl/branches/unstable/libdate-calc-perl/debian/patches/SvPV.patch?revision=62052&view=markup>
>
> I think even the SvROK() is overly defensive. Consider the attached
> amended test file, which has an additional regression test from the
> lenny version.
>
> Of course, it would be nice to get the upstream opinion.

True, I forgot about overload here.  I updated the patch accordingly and
also amended the test as well.

The patch is now also forwarded upstream [2] (very slightly modified to
apply to Date::Calc::XS).

Regards,
Ansgar

[2] <https://rt.cpan.org/Public/Bug/Display.html?id=60233#txn-822819>




Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Sat, 28 Aug 2010 11:48:07 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sat, 28 Aug 2010 11:48:07 GMT) Full text and rfc822 format available.

Message #62 received at 558272-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 558272-close@bugs.debian.org
Subject: Bug#558272: fixed in libdate-calc-perl 6.0-2
Date: Sat, 28 Aug 2010 11:47:11 +0000
Source: libdate-calc-perl
Source-Version: 6.0-2

We believe that the bug you reported is fixed in the latest version of
libdate-calc-perl, which is due to be installed in the Debian FTP archive:

libdate-calc-perl_6.0-2.debian.tar.gz
  to main/libd/libdate-calc-perl/libdate-calc-perl_6.0-2.debian.tar.gz
libdate-calc-perl_6.0-2.dsc
  to main/libd/libdate-calc-perl/libdate-calc-perl_6.0-2.dsc
libdate-calc-perl_6.0-2_i386.deb
  to main/libd/libdate-calc-perl/libdate-calc-perl_6.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated libdate-calc-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Aug 2010 17:18:17 +0900
Source: libdate-calc-perl
Binary: libdate-calc-perl
Architecture: source i386
Version: 6.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 libdate-calc-perl - Perl library for accessing dates
Closes: 558272
Changes: 
 libdate-calc-perl (6.0-2) unstable; urgency=low
 .
   * Team Upload.
   * Use SvPV to stringify the SV in case it is not already a string.
     (Closes: #558272)
     + new patch: SvPV.patch
     + Add build-dep on perl (>= 5.10.1) | libtest-simple-perl (>= 0.88) and
       libtest-exception-perl for included test.
   * Use source format 3.0 (quilt).
   * debian/copyright: Formatting changes for current DEP-5 proposal;
     refer to /usr/share/common-licenses/GPL-1.
   * Bump Standards-Version to 3.9.1.
Checksums-Sha1: 
 f46241945d70775a37e3d5504d77a1e879b78640 2192 libdate-calc-perl_6.0-2.dsc
 7a9523c88c46d7f406ffd2993acf5387007ca03a 7205 libdate-calc-perl_6.0-2.debian.tar.gz
 67fb1c75f2a2d92b2f05de54083a77a3a8ca02e3 278644 libdate-calc-perl_6.0-2_i386.deb
Checksums-Sha256: 
 0da0f84e7b6e078adff8b7cdf22beaf40bab084f042d396d5149ac4bd2838599 2192 libdate-calc-perl_6.0-2.dsc
 b644c7699e81bf0d3af9da34c8beb13f23c6d1f5deee5619c31d9255b02bcf20 7205 libdate-calc-perl_6.0-2.debian.tar.gz
 1049f3837dd131023cbd7c9303cc0c1e9bc36e5266aadf186c531c766750ecef 278644 libdate-calc-perl_6.0-2_i386.deb
Files: 
 c01ae06514bc6d723d067f262cd4eedb 2192 perl optional libdate-calc-perl_6.0-2.dsc
 e2f3f9c5a547d52d05fad4dc6496adab 7205 perl optional libdate-calc-perl_6.0-2.debian.tar.gz
 561f67095b1d1b0fb5f930e31c2c102a 278644 perl optional libdate-calc-perl_6.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMePQKAAoJELs6aAGGSaoG98oQAKVYkWlMTlCJTxFdg39p2xUv
Ad4C1dFl5hVhPp//cQ9FoKoKUj2+0ln6czGvHVYhpacv3rm+YsvPQ48flT5rFcjn
Lenmk74e2aztsvNGz63GHECB0g7no8hZOt4sVijksYV0PFF3tKd8kILUgsDFxOO9
uMEXP9P76x+61pl6o2nwf9E1OP+6sut8c9ultno7r+q5GYDWLqOwY8f3rEAZeqmc
p6bFI7eXIxGim/A2mlPtF6I4z0e4J7qZzeMN/mqziBxx6QBP4eljqxrjK4q1DSP9
q7JQ7eUIvP8X6sbTM4xKI9NlOnsCd8AIj9wM01I+xudR1wlWnxBR5hO9v4qY+9sX
4/xkS063JRxndEPCQQZ1BPwVlihOtCRPHiGoF636ojzp9mCRYClz6Pb+MWfDFXA2
8Cf0NDUIZ2ZhFV+sTeuSfQJcX3gUqDt1V3+DrjYsgYv5o2gzKCjBwQbABWbS1Hbd
VmwlTNvQf9ULlGyBsg/kDl+//228FYe3nEHhG5oIvLviPqQL/fl1gmGeZgj7SZUU
UrqWOT4e39qSsHBW+L+uKEPb54XKS5qryfhZnNeZ+Rcre60n8F+gpYzxoKCVRB2V
aarcFhIgYjdETzLP5ORi55mRCaQnlreOCkZRDbz4LkYsTPT7Ia1bEz1jz/VMCUJT
xyc4isY3TTeIXMgKO7i+
=69uE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Oct 2010 07:39:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:53:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.